#include "entity.h"

Entity::Entity(coordinate _x, coordinate _y) :
    pos_x(_x), pos_y(_y)
{}

Entity::~Entity()
{}

/// Get current Entity position
void Entity::position(coordinate &x, coordinate &y) const noexcept
{
    x = pos_x;
    y = pos_y;
}

void Entity::setPosition(coordinate x, coordinate y)
{
    pos_x = x;
    pos_y = y;
}

coordinate Entity::x() const noexcept
{
    return pos_x;
}

coordinate Entity::y() const noexcept
{
    return pos_y;
}
